Update install4j to 9.0

Activity

Show:
Daryl Herzmann
March 1, 2021, 3:34 PM
INSTALLATION NOTES

The IDE and the compiler of install4j require at least a 11 JRE to run. 

Daryl Herzmann
March 1, 2021, 3:32 PM

Took an initial swing at this with Openfire and failed with

Failed to execute goal org.sonatype.install4j:install4j-maven-plugin:1.1.1:compile (compile-installers) on project distribution: Unable to parse version from input: java.lang.UnsupportedClassVersionError: com/install4j/Install4JApplication has been compiled by a more recent version of the Java Runtime (class file version 55.0), this version of the Java Runtime only recognizes class file versions up to 52.0

wroot
February 27, 2021, 4:40 PM

Yes. Not a priority. I have waited a while after a release to see if they would release a bugfix.

Daryl Herzmann
February 27, 2021, 1:25 PM

There’s a lot of changes that would need tested with this update. I’ll first work to get an updated license so that we can test locally.

Assignee

Daryl Herzmann

Reporter

wroot

Labels

Expected Effort

None

Ignite Forum URL

None

Priority

Minor